<?php

/*
* Panels
*/

// Layout
    $wp_customize->add_panel( 'coeur_layout', array(
    'priority'       => 40,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Layout Options', 'coeur'),
    'description'    => '',
));
// -----------------------------------------------------------------------------


/*
* Sections
*/

// Template
$wp_customize->add_section( 'coeur_template' , array(
    'title'      => __( 'Template', 'coeur' ),
    'priority'   => 10,
    'description' => __('The template will define the overall look of your site. Customization doesn\'t stop here, each template comes with a unique set of options.', 'coeur'),
));
// -----------------------------------------------------------------------------

// Coeur Classic
$wp_customize->add_section( 'coeur_template_classic' , array(
    'title'      => __( 'Classic', 'coeur' ),
    'priority'   => 20,
));
// -----------------------------------------------------------------------------

// Coeur Flat
$wp_customize->add_section( 'coeur_template_flat' , array(
    'title'      => __( 'Flat', 'coeur' ),
    'priority'   => 21,
));
// -----------------------------------------------------------------------------

// Post Content
$wp_customize->add_section( 'coeur_post_section' , array(
    'title'      => __( 'Post Options', 'coeur' ),
    'priority'   => 30,
));
// -----------------------------------------------------------------------------

// Font Options
$wp_customize->add_section( 'coeur_fonts' , array(
    'title'      => __( 'Font Options', 'coeur' ),
    'priority'   => 40,
));
// -----------------------------------------------------------------------------

// Container Width
$wp_customize->add_section( 'coeur_container_width' , array(
    'title'      => __( 'Container Width', 'coeur' ),
    'priority'   => 10,
    'panel'  => 'coeur_layout',
));
// -----------------------------------------------------------------------------

// Blog Layout
$wp_customize->add_section( 'coeur_bloglayout' , array(
    'title'      => __( 'Blog Layout', 'coeur' ),
    'priority'   => 20,
    'panel'  => 'coeur_layout',
));
// -----------------------------------------------------------------------------

// Post Layout
$wp_customize->add_section( 'coeur_postlayout' , array(
    'title'      => __( 'Post Layout', 'coeur' ),
    'priority'   => 30,
    'panel'  => 'coeur_layout',
));
// -----------------------------------------------------------------------------

// Page Layout
$wp_customize->add_section( 'coeur_pagelayout' , array(
    'title'      => __( 'Page Layout', 'coeur' ),
    'priority'   => 40,
    'panel'  => 'coeur_layout',
));
// -----------------------------------------------------------------------------

// Coeur Comments
$wp_customize->add_section( 'coeur_comments' , array(
    'title'      => __( 'Comments', 'coeur' ),
    'priority'   => 70,        
));
// -----------------------------------------------------------------------------

// Coeur Logo
$wp_customize->add_section( 'coeur_logo' , array(
    'title'      => __( 'Logo', 'coeur' ),
    'priority'   => 70,        
));
// -----------------------------------------------------------------------------

// Coeur Favicon
$wp_customize->add_section( 'coeur_favicon_section' , array(
    'title'      => __( 'Favicon', 'coeur' ),
    'priority'   => 80,        
));
// -----------------------------------------------------------------------------

$wp_customize->add_section( 'coeur_donate', array(
      'priority'       => 05,
      'title'          => __('Donate & Ask for support', 'coeur'),
      'description'    => '<p>Developer: <a href="http://frenchtastic.eu">Frenchtastic</a></p><p>Support: <a href="https://wordpress.org/support/theme/coeur" target="_blank">Ask for support</a></p> <p>If you like Coeur, please consider making a donation to its developer. It will help fixing bugs and bringing new features to the theme. Thank You!</p><form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="ZV7FRFC2MTH2N">
<input type="image" src="https://www.paypalobjects.com/en_US/FR/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
<img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">
</form>',
    ));
// -----------------------------------------------------------------------------

// Donate
$wp_customize->add_setting('donate_option', array(
  'sanitize_callback' => 'coeur_no_sanitize',
  'type' => 'info_control',
  'capability' => 'edit_theme_options',
  )
);
$wp_customize->add_control( 'coeur_donate_option', array(
    'section' => 'coeur_donate',
    'settings' => 'donate_option',
    'priority' => 10,
    'style' => 'display: none;'
    )
);
// -----------------------------------------------------------------------------